API referenceInboxes

Add an internal note

POST/inboxes/{id}/threads/{threadId}/notes

A note on the thread for teammates and agents. It is never sent to the participants.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64
threadId*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/inboxes/string/threads/string/notes" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "object": "thread_activity",  "id": "string",  "thread_id": "string",  "inbox_id": "string",  "kind": "note",  "actor": {    "type": "user",    "user_id": "string"  },  "body": "string",  "message_id": "string",  "data": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z"}